version: '3'

# Run as
# docker-compose build; docker-compose up -d
# Check with
# docker ps
# Then check the logs with
# docker logs --tail 50 $container_id
# docker-compose images
# docker-compose logs --tail 20 repo_name

services:

  postgres_db:
    image: postgres:11.1
    environment:
      POSTGRES_PASSWORD: docker
      POSTGRES_DB: postgres
      POSTGRES_USER: postgres
    ports:
      - "5433:5432"
    networks:
      - app-tier
    volumes:
      - ./postgres:/docker-entrypoint-initdb.d

  app:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
        - PYTHONUNBUFFERED=1
    depends_on:
      - postgres_db
    networks:
      - app-tier
    volumes:
      - ./outputs:/outputs



networks:
  app-tier:
    driver: bridge
